/***************************************************************************
                          my3dcoordentry.h  -  description
                             -------------------
    begin                : Fri Jul 6 2001
    copyright            : (C) 2001 by Rdiger Knrig
    email                : ruediger@knoerig.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MY3DCOORDENTRY_H
#define MY3DCOORDENTRY_H

#include <qwidget.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qstring.h>
#include <qsizepolicy.h>

/**Widget for entering 3D coordinates
as floating point values
  *@author Rdiger Knrig
  */

class My3DCoordEntry : public QWidget  {
   Q_OBJECT
public: 
	/** default constructor */
	My3DCoordEntry(QWidget *parent=0, const char *name=0);
	/** default destructor */
	~My3DCoordEntry();
	/** getter for the x component */
	float getX() { return xentry->text().toFloat(); }
	/** getter for the y component */
	float getY() { return yentry->text().toFloat(); }
	/** getter for the z component */
	float getZ() { return zentry->text().toFloat(); }
public slots:
	/** setter for the x component */
	void setX(float x) { QString temp; temp.sprintf("%f",x); xentry->setText(temp); }
	/** setter for the y component */
	void setY(float y) { QString temp; temp.sprintf("%f",y); yentry->setText(temp); }
	/** setter for the z component */
	void setZ(float z) { QString temp; temp.sprintf("%f",z); zentry->setText(temp); }		
protected:
	QSizePolicy mysizepolicy;
	QHBoxLayout *mainlayout;
	QLineEdit *xentry;
	QLineEdit *yentry;
	QLineEdit *zentry;	
};

#endif
