/***************************************************************************
                          mycolorbutton.h  -  description
                             -------------------
    begin                : Mon Jul 9 2001
    copyright            : (C) 2001 by Rdiger Knrig
    email                : ruediger@knoerig.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYCOLORBUTTON_H
#define MYCOLORBUTTON_H

#include <qwidget.h>
#include <qpushbutton.h>
#include <qcolor.h>
#include <qcolordialog.h>
#include <qpixmap.h>
#include <qsize.h>

/**
  *@author Rdiger Knrig
  */

class MyColorButton : public QPushButton  {
   Q_OBJECT
public:
	/** default constructor */
	MyColorButton(QWidget *parent=0, const char *name=0);
	/** constructor with a color argument */
	MyColorButton(QColor color, QWidget *parent=0, const char *name=0);
	/** default destructor */
	virtual ~MyColorButton() {}
	/** getter for the color */
	QColor getColor() { return color; }
public slots:
	void slotSetColor(const QColor &c) { color = c; pixmap.fill(c); this->setPixmap(pixmap); }
protected slots:
	void selectColor() { color = QColorDialog::getColor(color,0); pixmap.fill(color); this->setPixmap(pixmap); }
protected:
	QColor color;
	QPixmap pixmap;
};

#endif
