/***************************************************************************
                          mymutex.h  -  description
                             -------------------
    begin                : Sun Jun 24 2001
    copyright            : (C) 2001 by Ruediger Knoerig
    email                : ruediger@knoerig.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYMUTEX_H
#define MYMUTEX_H


/**simple Mutex for non-thread-applications
  *@author Ruediger Knoerig
  */

class MyMutex {
public: 
	MyMutex() {locked = false; }
	~MyMutex() {};
	/**
		* method for locking the mutex, does not block!
		* @return true, if succeed
		*/
	bool lock() {if(locked) return false; else return (locked = true); }
	/**
		* method for unlocking the mutex
		* @return true, if succeed
		*/
	bool unlock() { return !(locked = false); }
	/**
		* getter for the status
		* @return true if mutex is locked
		*/
	bool isLocked() { return locked; }
protected:
 bool locked;
};

#endif
